org.apache.storm.security.auth

## Class FixedGroupsMapping

- java.lang.Object
- - org.apache.storm.security.auth.FixedGroupsMapping

- All Implemented Interfaces:
    IGroupMappingServiceProvider

      public class FixedGroupsMapping
      extends Object
      implements IGroupMappingServiceProvider

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Map<String,Set<String>>` | `cachedGroups`
    `static org.slf4j.Logger` | `LOG`
    `static String` | `STORM_FIXED_GROUP_MAPPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedGroupsMapping()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getGroups(String user)` Returns list of groups for a user.
    `void` | `prepare(Map<String,Object> stormConf)` Invoked once immediately after construction.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STORM_FIXED_GROUP_MAPPING

          public static final String STORM_FIXED_GROUP_MAPPING

      See Also:
        Constant Field Values

    - #### LOG

          public static org.slf4j.Logger LOG

    - #### cachedGroups

          public Map<String,Set<String>> cachedGroups

  - ### Constructor Detail

    - #### FixedGroupsMapping

          public FixedGroupsMapping()

  - ### Method Detail

    - #### prepare

          public void prepare(Map<String,Object> stormConf)

      Invoked once immediately after construction.

      Specified by:
        `prepare` in interface `IGroupMappingServiceProvider`
      Parameters:
        `stormConf` - Storm configuration

    - #### getGroups

          public Set<String> getGroups(String user)
                                throws IOException

      Returns list of groups for a user.

      Specified by:
        `getGroups` in interface `IGroupMappingServiceProvider`
      Parameters:
        `user` - get groups for this user
      Returns:
        list of groups for a given user
      Throws:
        `IOException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.